label weekly_rent_collection:
    scene player_bedroom with fade:
        size (1920, 1080)

    # Simulate Araceli knocking on the door
    $ renpy.pause(1.0)
    p "Ugh, what's that noise?"

    # Araceli enters the room
    show expression get_idle_araceli(love) at right with fade:
        zoom 0.5
    araceli "Wake up, sleepyhead. It's Monday."

    $ renpy.pause(1.0)

    araceli "And don't forget, rent's due."

    if money >= 100:
        p "Here's the rent."
        $ money -= 100
        $ love += 1  # Increase love for paying rent on time
        araceli "Thanks. You're a lifesaver."
    else:
        p "I don't have enough money right now."
        araceli "You'll need to figure something out. I still need the rent."
        $ love -= 5

    hide araceli

    $ energy = max_energy
    $ snack_eaten_today = False

    call advance_time from _call_advance_time
    jump map

label first_kitchen_encounter:
    scene kitchen with fade:
        size (1920, 1080)

    "You enter the kitchen and see Araceli cooking at the stove. You hadn't expected to find her here, and you're a little surprised."

    show araceli_kitchen1 at center:
        zoom 0.5

    a "Oh, hi. I... I didn't expect you to be here." 
    a "I'm just making a meal. I... I enjoy cooking. It's... relaxing."

    p "It smells amazing in here."

    a "Thanks. I... I don't mind cooking for you, if you want."

    p "That's very kind of you, Araceli. I appreciate it."

    $ first_kitchen_encounter_triggered = True

    call advance_time from _call_advance_time_1
    jump map

label first_yoga_encounter:
    scene living_room with fade:
        size (1920, 1080)

    "You enter the living room and see Araceli in the middle of a yoga pose. She seems startled by your presence."

    show yoga_intro at center:
        zoom 0.8

    a "Oh! I... I didn't hear you come in. Sorry, I didn't mean to... startle you."

    p "No worries. You were doing great. What kind of yoga is that?"

    a "Just some basic stretches. I... I don't get out much, so I try to stay active."

    p "I understand. It's good to keep moving."

    a "Yeah, I guess so. It helps me clear my head." 

    $ first_yoga_encounter_triggered = True
    call advance_time from _call_advance_time_2
    $ increase_love(1)
    jump map

label first_pool_encounter:
    scene pool with fade:
        size (1920, 1080)

    "You enter the pool area and see Araceli sitting by the pool. She's wearing a light cover-up, looking a little nervous."

    show araceli_idle2 at right: 
        zoom 0.5

    a "Oh, hi. I... I didn't expect to see you here." 
    a "I usually come here to... well, to relax. But I haven't actually gotten in the pool yet."

    p "It's a nice day for it. The sun feels good."

    a "Yeah, it does. But... I'm a little self-conscious." 

    p "Don't be. You look great."

    a "(Blushing) Thanks. Maybe... maybe next time."

    call advance_time from _call_advance_time_3
    $ increase_love(1)
    $ first_pool_encounter_triggered = True
    jump map

    

label first_talk:
    scene living_room with fade:
        size (1920, 1080)

    "The living room is softly lit, with a comfortable couch and warm decor. Araceli is sitting in a corner, her arms wrapped around her knees, a book resting in her lap. You walk in, trying to gauge the atmosphere."

    "You: tentatively Hey, Araceli. Mind if I join you?"
    "Araceli: glances up, a little startled Um… sure. I guess."

    "You sit down, keeping a respectful distance. Araceli’s eyes dart back to her book, but there’s a mix of curiosity and shyness in her demeanor."

    "You: trying to ease the tension I hope I’m not interrupting. I noticed your… um, unique features. They’re really striking."
    "Araceli: bristles slightly, her voice quiet Unique? I don’t know if I’d call it that."

    "You: noticing her defensiveness I didn’t mean it like that. I just meant it’s different, and that’s cool. If you don’t mind me asking, what’s it like for you?"
    "Araceli: looks away, fidgeting It’s… it can be hard sometimes. People don’t always understand."

    "You: nodding gently I get that. It’s not easy to stand out. But I think it makes you interesting—different in a good way."
    "Araceli: softening a little, but still cautious I appreciate that, but it’s just… complicated."

    "You: smiling encouragingly That’s okay. We can take it slow. No pressure."

    "Araceli looks at you, surprise crossing her face, as she realizes you genuinely care to understand her, which helps ease her tension just a bit."

    "Araceli: vulnerable but still guarded Thanks. I guess I could talk about it a little more… if you really want to know."
    "You: grinning I’d love to. Only if you’re comfortable, though."

    "The atmosphere shifts slightly, creating a space for more conversation, as Araceli begins to open up."

    call advance_time from _call_advance_time_4
    jump map

label first_exit_room:
    scene hallway with fade:
        size (1920, 1080)

    # ... (other scene content)

    # Araceli's request
    show expression get_idle_araceli(love) at right:
        zoom 0.5
    araceli "Hey, [player_name]? Can I talk to you for a second?"

    $ renpy.pause(1.0)  # Pause for dramatic effect

    araceli "So, about rent... I need $100 every week. It's to cover the utilities and other expenses."

    # Player's response (you can add dialogue options here)
    p "Okay, no problem. I'll manage."
    "I should look for a job on my PC"

    hide araceli

    call advance_time from _call_advance_time_5
    jump map

label kitchen_event_flour:
    # Ensure this event triggers only at 10 love
    if love >= 10:
        scene kitchen with fade:
            size (1920, 1080)

        show expression get_idle_araceli(love) at center:
            size (1080, 1080)
            xpos 0.5
            xanchor 0.5

        "You enter the kitchen to find Araceli in the middle of her cooking routine."
        "She seems concentrated, kneading dough while a bag of flour sits precariously on the counter."
        "Araceli doesn’t notice you at first as she hums softly to herself, a little flour smudged on her cheek."

        "You clear your throat dramatically." 
        p "'Ahem. Need some help, Chef?'"
        "Startled, Araceli jerks her hand and—whoops! The bag of flour tips over, sending a puff of white everywhere."

        show kitchen_mess at center:
            size (1080, 1080)
            xpos 0.5
            xanchor 0.5

        "She gasps, then bursts out laughing, covering her mouth." 
        araceli "'Oh no! This is all your fault!'"
        "You laugh too, brushing some flour off your shirt."
        p "'Hey, you’re the one who left the bag like that!'"
        "Before you know it, you’re both covered in flour and laughing uncontrollably, the mess forgotten."

        $ increase_love(1)
        call advance_time from _call_advance_time_6

        p "Araceli wipes the flour off her face and smiles. 'Well, this calls for a bath. I'll go first, then you can clean up this mess.'"

        # Transition to the hallway
        scene hallway with fade:
            size (1920, 1080)

        p "Araceli emerges from the bathroom, wrapped in a towel. Her hair is wet, and a mischievous glint shines in her eyes."
        show araceli_bath1 at center:
            size (1080, 1080)
            xpos 0.5
            xanchor 0.5
        araceli "Your turn, flour-face."

        $ flour_event_triggered = True
        call advance_time from _call_advance_time_7
        jump map

label love_20_confession:
    define shopper = Character("Shopper")
    scene living_room_night with fade:
        size (1920, 1080)

    if love >= 20:
        p "You and Araceli are curled up on the couch, watching a movie. The atmosphere is cozy and intimate. However, you notice a subtle shift in Araceli's demeanor. She seems distant, lost in thought."

        p "Hey, everything alright? You seem a bit off."
        a "Yeah, it's just... work has been stressful, and... well, there's something else."
        p "Want to talk about it? Maybe it'll help."
        a "It's just... sometimes, I feel so different. Like I don't belong. People stare, whisper. It's hard to ignore."
        p "I know it's not easy. But remember, you're not alone. I'm here for you."
        a "Thank you. It means a lot. (Pauses) Maybe we should get out of the house. A change of scenery might help."
        p "Sounds good. Let's go to the grocery store. We need some snacks."

        scene grocery with fade:
            size (1920, 1080)

        p "As you and Araceli navigate the aisles, she accidentally bumps into a shelf, causing a few items to fall. A nearby shopper glances at her with disgust."
        shopper "Watch where you're going, freak."
        a "!" # Araceli flinches, face turning red.
        p "Hey, that's not cool. She didn't mean it."
        shopper "Scoffs and walks away."
        a "It's hard not to..."
        p "Don't let them get to you. They're just ignorant."
        a "I just wish people could see past my appearance."
        p "You're amazing, just the way you are. Don't let anyone tell you otherwise."
        a "Thank you."
        a "Let's just finish shopping and go home."

        scene living_room_night with fade:
            size (1920, 1080)

        p "You and Araceli return home, the tense atmosphere from the grocery store still lingering. As soon as you enter the living room, Araceli breaks down, tears streaming down her face."
        p "Hey, it's okay. You don't have to hold it in."
        a "I'm so tired of this. I just want to be normal. I want to be loved for who I am, not what I look like."
        p "You're not alone. I'm here for you, always."
        a "Thank you. I don't know what I'd do without you."
        p "You don't have to thank me. It's what friends are for."
        a "More than friends, maybe?"
        show event_20 at center with fade
        p "You lean in, your lips almost touching hers. A moment of intense connection, a spark igniting between you. But then, Araceli pulls back, her eyes wide with uncertainty."
        a "Maybe... maybe not yet. I need some time to process everything."
        p "Of course. I'll wait for you."

        $ increase_love(1)
        $ love_20_confession_triggered = True
        call advance_time from _call_advance_time_8
        call map from _call_map
    else:
        pass

label love_25:
    scene living_room with dissolve:
        size (1920, 1080)

    show araceli_yoga2 at center with dissolve:
        zoom 0.7

    a "Ugggh... I'm so sore all over. My snake body requires constant exercise."
    a "I've never really taken care of myself, I guess. I've never even gotten a massage before."

    p "Well, I'd be happy to give you one. You can just relax and let me work out all the kinks."
    a "Really? You'd do that for me?"

    p "Of course. Just lie down and let me get started."
    a "Okay... this feels kind of weird, but also really nice, I guess."

    show araceli_yoga2 at center
    with dissolve

    a "Mmmmm... that feels so good. I had no idea how much tension I was holding onto."
    a "You're really good at this. I feel like I'm melting into the floor."

    p "Just relax and enjoy it. You deserve it."

    show yoga_event1 at center
    with dissolve

    a "Oooooh... mmnnn... *moan*"
    p "(What's going on? She's really getting into this... and she's... uh... getting a bit of a reaction going on here.)"

    show yoga_event2 at center
    with dissolve

    a "Ahhh... *moan*... OH! *moan*"
    p "(Whoa, she's really moaning now... this is getting pretty intense.)"

    # Araceli ejaculates, then reacts
    # scene living_room with dissolve:
    #     size (1920, 1080)
    # show araceli_yoga2 at center with dissolve:
    #     zoom 0.7
    show yoga_event3 at center
    with dissolve

    a "I-I'm so sorry! *gets up and runs away*"
    p "(What just happened? I didn't expect that to... uh... escalate like that.)"

    $ increase_love(1)
    $ love_25_event_triggered = True
    call advance_time from _call_advance_time_9
    jump map

label love_30:
    scene player_bedroom with dissolve:
        size (1920, 1080)

    p "There's a gentle knock on your door." 

    show araceli_idle2 at right with dissolve:
        zoom 0.5

    a "I-I was thinking, we've been friends for a while now. Let's play a game of truth or dare to get to know each other better."

    p "Sounds like fun. You can go first."

    a "O-okay... I'll choose truth. But you have to promise to answer honestly."

    p "I promise. What's your question?"

    a "What's something you've always wanted to try, but have been too afraid to attempt?"

    p "Hmm... I've always wanted to try my hand at painting. I've heard it's really relaxing, but I've never had the courage to pick up a brush."

    show araceli_idle2 at right with dissolve

    a "That's really cool! I've always wanted to try painting too. Maybe we can try it together sometime."

    p "That sounds like a lot of fun. Now it's my turn. I choose dare."

    a "O-okay... I dare you to... sing a silly song in front of me."

    p "Ha! Okay, here goes nothing."

    # the player sings a silly song, making Aracelli laugh
    show event30_1 at center with dissolve

    a "That was hilarious! You have a great sense of humor."

    p "Thanks, I try. Now it's my turn again. I choose truth."

    a "O-okay... What's something that you find really attractive in a person?"

    p "Hmm... I've always been drawn to people who are confident and unapologetically themselves. There's something really sexy about someone who owns their individuality."

    show event30_2 at center with dissolve

    a "I-I think that's really sweet. I've always tried to be confident, but it's not always easy."

    p "I think you're doing a great job, Aracelli. You're one of the most unique and interesting people I've ever met."

    a "T-thank you... I think. Now it's my turn again. I choose dare."

    p "O-okay... I dare you to... give me a kiss on the cheek."

    # Aracelli gives the player a kiss on the cheek, making him blush
    # show araceli_idle2 at center with dissolve

    a "Hehe, you're really cute when you're flustered."

    p "Sh-shut up... Now it's my turn again. I choose truth."

    a "O-okay... What's something that you've never told anyone before, but feel like you can trust me with?"

    p "Hmm... I've always had a bit of a fascination with... certain types of anime and manga. I know it's not everyone's cup of tea, but there's something about the art style and the stories that really draws me in."

    # show araceli_idle2 at center with dissolve

    a "I-I think that's really interesting. I've always been a bit curious about that type of thing myself."

    p "Really? What about it interests you?"

    a "I-I think it's the way that the characters are often depicted as being... free to be themselves, without fear of judgment. It's really inspiring to see people embracing their individuality like that."

    # the conversation continues, with the player and Aracelli growing closer and more comfortable with each other
    # show araceli_idle2 at center with dissolve

    a "Y-yes... Well, it's my turn again. I choose truth."

    p "Okay, what's your question?"

    a "What's the most... intimate thing you've ever done with someone?"

    p "Hmm... I'd say it was probably just kissing someone. I've never really done anything more than that."

    a "O-oh... I see. Well, I've never really done anything like that either."

    p "Really? You've never kissed anyone?"

    a "N-no... I've just never really had the chance, I guess."

    p "Well, maybe I can help you with that. Would you like to kiss me, Aracelli?"

    # Aracelli looks surprised by the offer, and her face turns bright red
    # show aracelli blush at center with dissolve

    a "I-I mean... Okay. If you want to."

    # The player leans in and gently kisses Aracelli on the lips
    show event30_3 at center with dissolve

    a "Mmm... That felt nice."

    # Aracelli's face turns an even deeper shade of red, and she looks down, her eyes shining with embarrassment
    # show aracelli embarrassed at center with dissolve

    a "I-I didn't know it would feel like that..."

    # Aracelli's voice trails off, and she looks up at the player, her eyes sparkling with curiosity
    show event30_4 at center with dissolve

    a "Okay, it's my turn again. I choose dare."

    p "Okay, what's the dare?"

    a "I dare you to... show me your penis."

    # the player hesitates for a moment, then pulls out his cock
    show event30_5 at center with dissolve

    a "W-wow... I've never seen one up close before."

    p "Well, now you have. It's my turn again. I choose dare."

    a "O-okay... What's the dare?"

    p "I dare you to... put it in your mouth."

    # Aracelli looks taken aback, and hesitates for a moment
    # show aracelli shocked at center with dissolve

    a "I-I don't know if I can do that..."

    p "Come on, it's just a game. You can't back down now."

    a "I-I suppose you're right... I don't want to lose."

    # Aracelli leans in, her eyes locked on the player's cock, and slowly puts it in her mouth
    show event30_6 at center with dissolve

    p "Ah... You win, Aracelli. You're really-"

    # But before the player can finish speaking, Aracelli starts to suck his cock, her head bobbing up and down
    # The player's words are interrupted by his own moans of pleasure
    p "Mmm... Oh god..."

    # Aracelli continues to suck, her eyes closed in concentration, and the player can't help but moan louder
    a "Mmm... Mmm..."

    # The player tries to warn Aracelli that he's about to cum, but she's too lost in the experience to listen
    p "A-Aracelli, I'm going to... Ahh..."

    # But Aracelli just keeps sucking, her mouth moving faster and faster, and the player can't hold back any longer
    # He explodes in her mouth, his cum shooting down her throat
    show event30_7 at center with dissolve

    # The player and Aracelli both moan loudly, their bodies shuddering with pleasure
    p "Ahhh... Oh god..."
    a "Mmm... Mmm..."

    # The scene fades to black as the player and Aracelli continue to moan, lost in the aftermath of their intense experience
    scene black
    with fade

    $ increase_love(1)
    $ love_30_event_triggered = True
    call advance_time from _call_advance_time_10
    jump map

label solo_event_1:
    p "You hear a strange noise coming from Araceli's bedroom."
    "You decide to investigate."
    "As you approach the door, you hear moans and gasps coming"
    "*door creaks open*"
    scene araceli_bedroom with fade:
        size (1920, 1080)
    show expression "solo_event1" at truecenter:
        zoom 0.9
    p "What's going on in here?"
    a "*moans*... oh, [player_name]..."
    p "Whoa, Araceli... I..."
    a "*gasps*... yeah, [player_name]... *moans louder*"
    p "I shouldn't be here..."
    a "*whimpers*... [player_name], yes... *continues moaning*"
    p "backs away quietly and closes the door"
    $ solo_event_1_triggered = True 
    call advance_time from _call_advance_time_11
    jump map 

label solo_event_2:
    p "You hear noises coming from Araceli's bedroom again."
    "You decide to investigate."
    "As you approach the door, you hear moans and gasps coming"
    "*door creaks open*"
    scene araceli_bedroom with fade:
        size (1920, 1080)
    show expression "solo_event2" at truecenter:
        zoom 0.9
    a "*moans*... oh, [player_name]... fuck me..."
    p "Araceli, what are you...?"
    a "*gasps*... yes, [player_name]... ride me hard..."
    p "I shouldn't be watching this..."
    a "*whimpers*... please, [player_name]... fuck me like you mean it..."
    p "backs away quietly and closes the door"
    $ solo_event_2_triggered = True
    call advance_time from _call_advance_time_12
    jump map

label araceli_explicit_event:

    scene bg araceli_room_night

    show araceli_futa_snake_anthro_nude at center with dissolve

    araceli "I want to fuck you, [player]. I want to feel my cock inside you, stretching your ass and making you cum."

    player "Araceli, I... I want that too. I want to feel your big cock inside me."

    show araceli_futa_snake_anthro_nude_stroking_cock at center with dissolve

    araceli "My cock is so hard, just thinking about fucking you. I can feel my precum dripping onto the floor."

    player "I can see it, Araceli. Your cock is enormous, and it's making me so hard."

    show araceli_futa_snake_anthro_nude_behind_player at center with dissolve
    show player_nude at center with dissolve

    araceli "Get on your hands and knees, [player]. I want to fuck you from behind, feeling my cock slide in and out of your tight ass."

    player "Okay, Araceli. I'm ready. Fuck me with your big cock."

    scene bg araceli_room_night
    show araceli_futa_snake_anthro_nude_fucking_player at center with dissolve
    show player_nude at center with dissolve

    araceli "Ahh... yes... your ass is so tight, [player]. It feels amazing, like it's squeezing my cock."

    player "It feels amazing for me too, Araceli. Your cock is so big, it's stretching me to my limits."

    scene bg araceli_room_night
    show araceli_futa_snake_anthro_nude_fucking_player_deeper at center with dissolve
    show player_nude at center with dissolve

    araceli "I'm going to cum soon, [player]. I can feel it building up inside me. I'm going to fill your ass with my semen."

    player "I'm cuming too, Araceli. I'm cuming so hard, feeling your cock inside me and your semen filling me up."

    scene bg araceli_room_night
    show araceli_futa_snake_anthro_nude_afterglow at center with dissolve
    show player_nude at center with dissolve

    araceli "That was amazing, [player]. I loved every minute of it. You're the best fuck I've ever had."

    player "I loved it too, Araceli. You're so beautiful and sexy, and your big cock is incredible."

    $ love_stat += 15

# Job code
init python:
    job_available = True

label computer:
    scene player_bedroom:
        size (1920, 1080)
    
    if job_available:
        menu:
            "Apply for a Job":
                jump apply_for_job
    else:
        menu:
            "Work":
                jump work_at_job
            "Study":
                jump study
            "Go back":
                jump bedroom

label apply_for_job:
    scene player_bedroom with fade:
        size (1920, 1080)

    p "You've successfully applied for a part-time programmer job."
    $ job_available = False  # Set the job availability flag to False

    call advance_time from _call_advance_time_13
    jump bedroom

label work_at_job:
    scene player_bedroom:
        size (1920, 1080)

    if time_of_day == "night" or time_of_day == "midnight":
        p "It's too late to work. You should rest."
        jump bedroom

    if energy >= 1:
        menu:
            "Work Fast":
                if energy >= 1:
                    $ energy -= 1
                    $ work_level += 1
                    $ money += base_salary
                    p "I worked quickly and efficiently."
                    call advance_time from _call_advance_time_14
                else:
                    p "I don't have enough energy to work fast."
            "Work Hard":
                if energy >= 2:
                    $ energy -= 2
                    $ work_level += 2
                    $ money += base_salary * 2
                    p "I worked diligently and productively."
                    call advance_time from _call_advance_time_15
                    call advance_time from _call_advance_time_16
                else:
                    p "I don't have enough energy to work hard."
            "Go back":
                jump bedroom
    else:
        p "I'm too tired to work."

    # Check for promotion
    default required_knowledge = 5
    if work_level >= 10:
        if knowledge >= required_knowledge:
            p "Congratulations! You've been promoted!"
            $ work_level = 0  # Reset work level for the new job
            $ base_salary += 10  # Increase salary
            $ required_knowledge += 5
        else:
            p "You need more knowledge to be promoted."
    jump bedroom

label study:
    scene player_bedroom:
        size (1920, 1080)

    if energy >= 1:
        $ energy -= 1
        $ knowledge += 1
        p "You studied hard and gained knowledge."
        call advance_time from _call_advance_time_17
    else:
        p "You're too tired to study."

    jump computer

label workout:
    scene player_bedroom:
        size (1920, 1080)

    if energy >= 1:
        $ energy -= 1
        $ strength += 1

        if strength % 5 == 0:
            "You feel a boost of energy! Working out regularly increases your maximum energy."
            $ max_energy += 1

        p "You did a workout and feel stronger."
        call advance_time from _call_advance_time_18
    else:
        p "You're too tired to workout."

    jump bedroom